<?php
/*
 * Saké POST TYPE ARCHIVE TEMPLATE
 *
 * For more info: http://codex.wordpress.org/Post_Type_Templates
*/
?>

<?php get_header(); // Header ?>
<!-- #content -->
<div id="content">
	<!-- #inner-content -->
	<div id="inner-content">
		<!-- #main -->
		<main id="main" role="main" itemscope itemprop="mainContentOfPage" itemtype="http://schema.org/Blog">

			<?php
			$our_sake = get_page_by_path('our-sake', OBJECT);
			$our_sake = get_page(icl_object_id($our_sake->ID, 'page', true, ICL_LANGUAGE_CODE));

			$archive_image = get_the_post_thumbnail_url($our_sake->ID, 'full');
			$archive_title = $our_sake->post_title;
			$archive_excerpt = $our_sake->post_content; ?>

			<!-- Main Banner -->
			<section class="parallax-wrapper">
				<h2 class="hide"><?php _e('Main Banner', 'kalabera'); ?></h2>
				<div class="banner"
					style="background-image: url(<?php echo esc_url($archive_image); ?>); "
					data-stellar-ratio="0.6"
					itemscope itemtype="http://schema.org/MediaObject">
				</div>
			</section> <!-- end of: Main Banner -->

			<!-- Our Saké -->
			<section class="section">
				<header class="section__header">
					<div class="row">
						<div class="large-8 large-centered medium-10 medium-centered small-12 small-centered column text-center">
							<h2 class="section__title wow fadeInUp"><?php echo $archive_title; ?></h2>

							<p class="wow fadeInUp"><?php echo $archive_excerpt; ?></p>
						</div>
					</div>
				</header>

				<?php if(have_posts()) : ?>
				<div class="row" data-equalizer ata-equalize-on="medium">
					<?php while(have_posts()) : the_post(); ?>
					<div class="large-4 medium-6 column">
						<article id="sake-<?php the_ID(); ?>" <?php post_class(); ?> data-equalizer-watch>
							<?php if(has_post_thumbnail()) : ?>
								<a class="wow fadeIn"
									href="<?php the_permalink(); ?>"
									title="<?php the_title_attribute(); ?>"
									data-wow-duration="1.5s"><?php the_post_thumbnail(array(170, 322)); ?></a>
							<?php endif; ?>

							<h3 class="sake__title text-center wow fadeInUp">
								<a href="<?php the_permalink(); ?>" title="<?php the_title_attribute(); ?>">
									<?php $title = get_the_title();
										$title = wp_trim_words($title, 2, '');

										echo $title;
									?>
								</a>
							</h3>

							<span class="sake__price wow fadeInUp"><?php the_field('price'); ?></span>
						</article>
					</div>
				<?php endwhile; ?>
				<div class="clearfix"></div>

				<?php bones_page_navi(); // Pagination  ?>
				</div>
			</section> <!-- end of: Our Saké -->


			<?php else : ?>

				<?php get_template_part('broken'); ?>

			<?php endif; ?>

		</main>

	</div> <!-- end of: #inner-content -->

</div> <!-- end of: #content -->

<?php get_footer(); // Footer ?>
