<?php
// let's create the function for the custom type
function sake() {
	// creating (registering) the sake
	register_post_type( 'sake', /* (http://codex.wordpress.org/Function_Reference/register_post_type) */
		// let's now add all the options for this post type
		array( 'labels' => array(
			'name' => __( 'Sake', 'kalabera' ), /* This is the Title of the Group */
			'singular_name' => __( 'Sake', 'kalabera' ), /* This is the individual type */
			'all_items' => __( 'All Sake', 'kalabera' ), /* the all items menu item */
			'add_new' => __( 'Add New', 'kalabera' ), /* The add new menu item */
			'add_new_item' => __( 'Add New Sake', 'kalabera' ), /* Add New Display Title */
			'edit' => __( 'edit', 'kalabera' ), /* edit Dialog */
			'edit_item' => __( 'edit Sake', 'kalabera' ), /* edit Display Title */
			'new_item' => __( 'New Sake', 'kalabera' ), /* New Display Title */
			'view_item' => __( 'View Sake', 'kalabera' ), /* View Display Title */
			'search_items' => __( 'Search Sake', 'kalabera' ), /* Search Custom Type Title */
			'not_found' =>  __( 'No sake found..', 'kalabera' ), /* This displays if there are no entries yet */
			'not_found_in_trash' => __( 'Nothing found in Trash', 'kalabera' ), /* This displays if there is nothing in the trash */
			'parent_item_colon' => ''
			), /* end of arrays */
			'description' => __( 'Fermented rice', 'kalabera' ),
			'public' => true,
			'publicly_queryable' => true,
			'exclude_from_search' => false,
			'show_ui' => true,
			'query_var' => true,
			'menu_position' => 8, /* this is what order you want it to appear in on the left hand side menu */
			'menu_icon' => get_stylesheet_directory_uri() . '/library/images/bottle.svg', /* the icon for the custom post type menu */
			'rewrite'	=> array( 'slug' => 'sake', 'with_front' => false ), /* you can specify its url slug */
			'has_archive' => 'sakes', /* you can rename the slug here */
			'capability_type' => 'post',
			'hierarchical' => false,
			/* the next one is important, it tells what's enabled in the post editor */
			'supports' => array( 'title', 'editor', 'author', 'thumbnail', 'excerpt', 'trackbacks', 'custom-fields', 'comments', 'revisions', 'sticky')
		) /* end of options */
	); /* end of register post type */
}

	// adding the function to the Wordpress init
	add_action( 'init', 'sake');

	/*
	for more information on taxonomies, go here:
	http://codex.wordpress.org/Function_Reference/register_taxonomy
	*/

	// now let's add custom tags (these act like categories)
	register_taxonomy( 'sake-tag',
		array('sake'),
		array('hierarchical' => false,    /* if this is false, it acts like tags */
			'labels' => array(
				'name' => __( 'Tags', 'kalabera' ), /* name of the custom taxonomy */
				'singular_name' => __( 'Sake Tag', 'kalabera' ), /* single taxonomy name */
				'search_items' =>  __( 'Search Sake Tags', 'kalabera' ), /* search title for taxomony */
				'all_items' => __( 'All Sake Tags', 'kalabera' ), /* all title for taxonomies */
				'parent_item' => __( 'Parent Sake Tag', 'kalabera' ), /* parent title for taxonomy */
				'parent_item_colon' => __( 'Parent Sake Tag:', 'kalabera' ), /* parent taxonomy title */
				'edit_item' => __( 'edit Sake Tag', 'kalabera' ), /* edit custom taxonomy title */
				'update_item' => __( 'Update Sake Tag', 'kalabera' ), /* update title for taxonomy */
				'add_new_item' => __( 'Add New Sake Tag', 'kalabera' ), /* add new title for taxonomy */
				'new_item_name' => __( 'New Sake Tag Name', 'kalabera' ) /* name title for taxonomy */
			),
			'show_admin_column' => true,
			'show_ui' => true,
			'query_var' => true,
		)
	);

	/*
		looking for custom meta boxes?
		check out this fantastic tool:
		https://github.com/jaredatch/Custom-Metaboxes-and-Fields-for-WordPress
	*/


?>
