<?php
/*
 * Template Name: Homepage Template
 *
 * Full background image template. Exclusively for homepage.
 *
 * For more info: http://codex.wordpress.org/Page_Templates
*/
?>

<?php get_header('home'); // Header ?>
<!-- #content -->
<div id="content">
	<!-- #inner-content -->
	<div id="inner-content">
		<!-- #main -->
		<main id="main" role="main" itemscope itemprop="mainContentOfPage" itemtype="http://schema.org/FoodEstablishment">

			<?php if (have_posts()) : while (have_posts()) : the_post();
      $background_image = get_stylesheet_directory_uri() . '/library/images/Funasaka_homepage.jpg';
      if(has_post_thumbnail())
        $background_image = wp_get_attachment_url(get_post_thumbnail_id()); ?>

			<section id="post-<?php the_ID(); ?>" <?php post_class('banner banner--fullscreen'); ?> style="background-image: url(<?php echo esc_url($background_image); ?>);" role="article" itemscope itemtype="http://schema.org/BlogPosting">
        <header>
          <h1 class="hide"><?php _e('Main Banner', 'kalabera'); ?></h1>
        </header>

				<div class="banner__content">
					<div class="row">
						<div class="large-12 column text-center">
							<img class="banner__logo wow fadeIn" data-wow-duration="1.5s" src="<?php bloginfo('stylesheet_directory'); ?>/library/images/logo.svg" alt="<?php echo site_name(); ?>">

							<p class="banner__name wow fadeInUp"><?php bloginfo('name'); ?></p>
							<p class="banner__description wow fadeInUp"><?php bloginfo('description'); ?></p>
						</div>
					</div>
				</div>
			</section>

			<?php endwhile; else : ?>

				<?php get_template_part('broken'); ?>

			<?php endif; ?>

		</main> <!-- end of: #main -->
	</div> <!-- end of: #inner-content -->

</div> <!-- end of: #content -->

<?php get_footer('home'); // Footer ?>
